package de.ivu.elect.presentation.stimmeingabe.table;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabeHochgerechnet;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;
import de.ivu.elect.presentation.system.PercentUtil;

public class StimmeingabeHochgerechnetAnteilAktuellColumn extends AbstractStimmeingabeHochgerechnetColumn {

  private static final long serialVersionUID = 1L;

  protected StimmeingabeHochgerechnetAnteilAktuellColumn(Messages messages) {
    super(messages);
  }

  @Override
  public Object getValue(StimmeingabeHochgerechnet entity) {
    return PercentUtil.percentGerundetNachkommastellen1(entity.getGueltigeAktuell(), entity.getAnzahlAktuell());
  }

  @Override
  public String getHeader() {
    return getMessage("stimmeingabe.hochgerechnet.stimmen.anteil.aktuell");
  }

  @Override
  public ColumnType getType() {
    return ColumnType.DECIMAL_ONE_FRACTION_DIGIT;
  }
}
